<div class='main__bar'>

  <h1 class='main__topic'>Notes</h1>

  <ul class='main__profile-info'>
    <li class='main__item main__name'>Name: {{name}}</li>
    <li class='main__username main__item'>Username: {{ username }}</li>
    <li class='main__item'>
      <button class='main__btn' mat-button [matMenuTriggerFor]="menu">Settings</button>
      <mat-menu #menu="matMenu">
        <button mat-menu-item (click)="openDialog('0ms', '0ms')">Change Password</button>
        <button mat-menu-item (click)='logout()'>Sign Out</button>
        <button class='main__delete-btn' mat-menu-item (click)="openDelete('0ms', '0ms')">Delete account</button>
      </mat-menu>
    </li>
  </ul>

</div>

<mat-form-field>
  <mat-label>Search</mat-label>
  <input
    matInput
    (input)='searchNote()'
    class='main__search'
    type='search'
    name='search'
    placeholder="Enter note's ID"
    [formControl]='search'>
</mat-form-field>

<div class='main__notes-list'>

    <app-notes-list
      [notes]='searchArray'
      (delete)='deleteItem($event)'
      (update)='updateItem($event)'
      (create)='createNote($event)'>
    </app-notes-list>

</div>
